<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."go_redirect/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."go_redirect/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."go_redirect/locale/English.php";
}

if (!checkrights("IP")) fallback("../../index.php");

if ($HTTP_GET_VARS['action'] == "edit"){
	opentable($locale['gor300']);
	if ($HTTP_GET_VARS['id'] !== ""){
		$result = dbquery("SELECT * FROM ".$db_prefix."redirect WHERE id='".$HTTP_GET_VARS['id']."'");
		$data = dbarray($result);
		echo "<center><table><form name='add' method='post' action='".FUSION_SELF."?action=update'>";
		echo "<tr><td align='right'>".$locale['gor320'].":</td><td><input type='text' name='url' size='50' value='".$data['url']."' class='textbox'></td></tr>";
		echo "<tr><td>".$locale['gor321'].":</td><td><a href='redirect.php?id=".$HTTP_GET_VARS['id']."'>".$locale['gor322']."</a></td></tr>";
		echo "<tr><td></td><td align='center'><input type='submit' name='submit' value='".$locale['gor301']."' class='button'>";
		echo "<input type='hidden' name='id' value='".$HTTP_GET_VARS['id']."'></td></tr></table></form></center>";
	} else {
		echo "<div style='text-align:center'>".$locale['gor302']."</div>";
	}
	closetable();

} elseif ($HTTP_GET_VARS['action'] == "add"){

	opentable($locale['gor303']);
	if ($HTTP_POST_VARS['url'] !== ""){
		$sql_add = dbquery("INSERT INTO ".$db_prefix."redirect VALUES('', '".$HTTP_POST_VARS['url']."')");
		fallback(FUSION_SELF);
	} else {
		echo "<div style='text-align:center'>".$locale['gor304']."</div>";
	}
	closetable();

} elseif ($HTTP_GET_VARS['action'] == "update"){

	opentable($locale['gor300']);
	if ($HTTP_POST_VARS['id'] !== ""){
		$sql_add = dbquery("UPDATE ".$db_prefix."redirect SET url='".$HTTP_POST_VARS['url']."' WHERE id='".$HTTP_POST_VARS['id']."'");
		fallback(FUSION_SELF);
	} else {
		echo $locale['gor305'];
	}
	closetable();

} elseif ($HTTP_GET_VARS['action'] == "delete"){
	
	opentable($locale['gor306']);
	if ($HTTP_GET_VARS['id'] !== ""){
		echo "<div style='text-align:center'>".$locale['gor307']."<br />";
		echo $locale['gor308']."<br /><br />";
		echo "<a href='".FUSION_SELF."?action=delyes&id=".$HTTP_GET_VARS['id']."'>".$locale['gor309']."</a> | <a href='".FUSION_SELF."'>".$locale['gor310']."</a></div>"; 
	} else {
		echo "<div style='text-align:center'>".$locale['gor311']."</div>";
	}
	closetable();

} elseif ($HTTP_GET_VARS['action'] == "delyes"){

	opentable($locale['gor306']);
		$sql_del = dbquery("DELETE FROM ".$db_prefix."redirect WHERE id='".$HTTP_GET_VARS['id']."'");
		fallback(FUSION_SELF);
	closetable();
	
} else {

	opentable($locale['gor312']);
		echo "<center><form name='add' method='post' action='".FUSION_SELF."?action=add'>";
		echo "URL: <input type='text' name='url' size='50' value='http://' class='textbox'><br /><br />";
		echo "<input type='submit' name='submit' value='".$locale['gor313']."' class='button'></form></center>";
	closetable();

	tablebreak();
	
	opentable($locale['gor314']);
		
		$result = dbquery("SELECT * FROM ".$db_prefix."redirect");
		if (dbrows($result) !="0"){
			echo "<center>
				<table class='tbl' cellspacing='0' cellpadding='0'>
				<tr>
					<td class='tbl2' style='font-weight:bold'>".$locale['gor315']."</td>
					<td class='tbl2' style='font-weight:bold' align='center'>".$locale['gor316']."</td>
				</tr>";
	
			while ($data = dbarray($result)){
				// Code from Digitanium to determine whether or not to add http://
				$urlprefix = !strstr($data['url'], "http://") ? "http://" : "";
				
				echo "<tr>
					<td class='tbl1'><a href='".$urlprefix.$data['url']."'>".$data['url']."</a></td>
					<td class='tbl1' align='center'><a href='".FUSION_SELF."?action=delete&id=".$data['id']."'>".$locale['gor317']."</a> | <a href='".FUSION_SELF."?action=edit&id=".$data['id']."'>".$locale['gor318']."</a> | <a href='redirect.php?id=".$data['id']."'>".$locale['gor321']."</a></td>
				</tr>";
			}
			echo "</table></center>";
		} else {
			echo $locale['gor319'];
		}
	
	closetable();
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>